Black Ops First Strike DLC must match Language on 360

February 2, 2011, By Christian Davis

Microsoft is warning all Black Ops players that they need to download the First Strike DLC in the proper language. Otherwise, the DLC will not work.

Those who chose the wrong language received an error message. This isn’t as big of an issue in the United States but in Canada, gamers may encounter this issue since the English and French versions are both offered.

If you a French language version of the game in the states for some reason, you’re really in trouble since the French DLC isn’t available in the marketplace.

Just make sure that you’re languages match and you should be perfect fine.

© 2008-2012 DeviceMag.com - All rights reserved | Privacy Policy